Create biometric payment
curl --request POST \
--url http://api.trio.com.br/biometrics/enrollments/{enrollment_id}/payments \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1000,
"description": "Payment description example",
"entity_id": "019f9fbf-2c55-8e72-2fcd-0017e7303e00",
"external_id": "external_id_example",
"virtual_account_id": "019f9fbf-2c57-3533-9ffc-f34868af636a"
}
'import requests
url = "http://api.trio.com.br/biometrics/enrollments/{enrollment_id}/payments"
payload = {
"amount": 1000,
"description": "Payment description example",
"entity_id": "019f9fbf-2c55-8e72-2fcd-0017e7303e00",
"external_id": "external_id_example",
"virtual_account_id": "019f9fbf-2c57-3533-9ffc-f34868af636a"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 1000,
description: 'Payment description example',
entity_id: '019f9fbf-2c55-8e72-2fcd-0017e7303e00',
external_id: 'external_id_example',
virtual_account_id: '019f9fbf-2c57-3533-9ffc-f34868af636a'
})
};
fetch('http://api.trio.com.br/biometrics/enrollments/{enrollment_id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": {
"amount": 1000,
"currency": "BRL"
},
"description": "Payment description example",
"end_to_end_id": "E12345678202607252301s6AO2vwTrlD",
"external_id": "external_id_example",
"id": "019f9fbf-2cd7-160a-b0ae-3b02f310bcc8",
"inserted_at": "2026-07-26T00:00:00Z",
"status": "pending",
"transaction_date": "2026-07-26",
"updated_at": "2026-07-26T00:00:00Z",
"virtual_account_id": "019f9fbf-2cd7-ae17-3015-a65b66719fc0"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Biometrics
Create payment from enrollment
Creates a payment initiation for a biometrics enrollment.
POST
/
biometrics
/
enrollments
/
{enrollment_id}
/
payments
Create biometric payment
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Enrollment ID
Body
application/json
Payment creation parameters
Response
Payment
Response schema for a biometric payment
A biometric payment initiation
Show child attributes
Show child attributes
Example:
{
"amount": { "amount": 1000, "currency": "BRL" },
"description": "Payment description example",
"end_to_end_id": null,
"external_id": "external_id_example",
"id": "019f9fbf-2cb3-a8d4-9ebe-0c7781f37117",
"inserted_at": "2026-07-26T00:00:00Z",
"status": "pending",
"transaction_date": null,
"updated_at": "2026-07-26T00:00:00Z",
"virtual_account_id": "019f9fbf-2cb4-4e0d-1e20-2d6b9b27dbf0"
}
⌘I

